package commitments;

import java.math.BigInteger;

import commitments.proofs.CommitmentProof;
import commitments.values.CommitableValue;
import commitments.values.MockCommittableValue;

public class MockCommitmentProof implements CommitmentProof {

	public BigInteger proof;
	
	public MockCommitmentProof(BigInteger proof) {
		this.proof = proof;
	}

	@Override
	public boolean verify(CommitableValue value) {
		MockCommittableValue mockValue = (MockCommittableValue)value;		
		return mockValue.equals(proof);
	}

	@Override
	public byte[] toByteArray() {
		// TODO Auto-generated method stub
		return proof.toByteArray();
	}
	

}
