package communication.bulletinboard.messages;

import threshold.elgamal.configuration.shareholderinfo.ShareholderInfo;
import commitments.proofs.CommitmentProof;

public class CommitmentMessage implements Message 
{
	private ShareholderInfo ownerInfo;
	private CommitmentProof commitment;
	
	
	public CommitmentMessage(ShareholderInfo ownerInfo,
			CommitmentProof commitment) {
		super();
		this.ownerInfo = ownerInfo;
		this.commitment = commitment;
	}

	@Override
	public String getType() {
		// TODO Auto-generated method stub
		return "CommitmentMessage";
	}

	@Override
	public byte[] getMessage() {
		// TODO Auto-generated method stub
		return commitment.toByteArray();
	}
	
	public CommitmentProof getCommitment()
	{
		return commitment;
	}
	
	public ShareholderInfo getShareholderInfo()
	{
		return ownerInfo;
	}
	
}
