package communication.bulletinboard.messages;

import encoding.utils.Utils;
import threshold.elgamal.configuration.shareholderinfo.ShareholderInfo;

public class KeyShareMessage implements Message{
	
	private ShareholderInfo ownerInfo;
	
	private int shareID;
	
	private byte[] shareBytes;

	public KeyShareMessage(ShareholderInfo ownerInfo, int shareID,
			byte[] shareBytes) {
		super();
		this.ownerInfo = ownerInfo;
		this.shareID = shareID;
		this.shareBytes = shareBytes;
	}

	public ShareholderInfo getOwnerInfo() {
		return ownerInfo;
	}

	public int getShareID() {
		return shareID;
	}

	@Override
	public String getType() {
		// TODO Auto-generated method stub
		return "KeyShareMessage";
	}

	@Override
	public byte[] getMessage() {
		// TODO Auto-generated method stub
		return shareBytes;
	}
	
	public String toString()
	{
		StringBuilder messageContent= new StringBuilder();
		messageContent.append(ownerInfo.toString());
		messageContent.append(":");
		messageContent.append(shareID);
		messageContent.append(":");
		messageContent.append(Utils.toHexString(shareBytes));
		return messageContent.toString();
	}

}
