package communication.bulletinboard.messages;

import threshold.elgamal.configuration.shareholderinfo.ShareholderInfo;

/**
 * This message is intended to be read only by one specific recipient (despite
 * being published in the bulletin board). To be secure, this must be done by 
 * using public key cryptography. This implementation offers just the broad idea
 * and is NOT secure under any serious scenario.
 * @author SergioA
 *
 */
public class MockSecretMessage implements Message
{
	private ShareholderInfo recipientInfo;
	private Message message;
	
	public MockSecretMessage(ShareholderInfo recipientInfo,Message message) {
		this.recipientInfo = recipientInfo;
		this.message = message;
	}

	public ShareholderInfo getRecipientInfo() {
		return recipientInfo;
	}

	@Override
	public String getType() {
		// TODO Auto-generated method stub
		return "MockSecretMessage";
	}

	@Override
	public byte[] getMessage() {
		// TODO Auto-generated method stub
		return message.getMessage();
	}
	
	public String toString()
	{
		StringBuilder sb = new StringBuilder();
		
		sb.append(recipientInfo.getID());
		sb.append(":");
		sb.append(message.toString());
		
		return sb.toString();
	}

}
