package encoding.utils;

import java.util.Random;

/**
 * Extremely poor implementation of the Random class that enables to reproduce
 * the behavior of the application among different executions. The specific values
 * are completely arbitrary.
 * @author SergioA
 *
 */
public class LousyRandom extends Random{
	
	private static LousyRandom randomSource;
	
	private static int counter;
	
	private LousyRandom()
	{
		counter = 7;
	}
	
	public static LousyRandom getInstance()
	{
		if(randomSource==null)
			randomSource = new LousyRandom();
		return randomSource;
	}
	
	public void nextBytes(byte[] bytes)
	{
		for (int i = 0; i < bytes.length; i++) {
			bytes[i] = (byte) counter++;
		}
	}

	protected final int next(int numBits)
	{
		counter++;
		return 3*counter;
	}
}
