package encoding.utils;

import java.security.NoSuchAlgorithmException;
import java.security.SecureRandom;
import java.util.Random;

/**
 * Wrapper class that enables to switch between a SecureRandom implementation and
 * the LousyRandom class, designed to produce predictable output. This class only
 * has a pupose within the context of debugging.
 * @author SergioA
 *
 */
public class RandomnessUtils {

	private static Random randomGenerator;

	public static Random getRandomGenerator() {
		if (randomGenerator == null) {
//			randomGenerator = LousyRandom.getInstance();
			try {
				randomGenerator = SecureRandom.getInstanceStrong();
			} catch (NoSuchAlgorithmException e) {
				// TODO Auto-generated catch block
				e.printStackTrace();
			}
			return randomGenerator;
		}
		return randomGenerator;
	}
}
