package threshold.elgamal.configuration.parameters;

import java.math.BigInteger;

/**
 * Contains the configuration parameters necessary for performing ElGamal operations.
 * @author SergioA
 *
 */
public class ElGamalPublicParameters 
{
	
	/**
	 * Prime number P
	 */
	private BigInteger p;
	
	/**
	 * Prime number Q
	 */
	private BigInteger q;

	// Generator
	private BigInteger g;

	public ElGamalPublicParameters(BigInteger p, BigInteger g, BigInteger q) {
		super();
		this.p = p;
		this.g = g;
		this.q = q;
	}

	public BigInteger getQ() {
		return q;
	}

	public BigInteger getG() {
		return g;
	}

	public BigInteger getP() {
		return p;
	}
	
}
