package threshold.elgamal.configuration.shareholderinfo;

import communication.bulletinboard.BBT;
import exceptions.TagNotSupportedException;

/**
 * Represents the information that uniquely identifies a single shareholder taking
 * part in a process.
 * @author SergioA
 *
 */
public interface ShareholderInfo {
	
	/**
	 * A unique integer identifying the shareholder
	 * @return
	 */
	public int getID();
	
	/**
	 * Post a message on the BulletinBoard under the subject [tag] directed to this
	 * specific shareholder.
	 * @param tag
	 * @param value
	 * @throws TagNotSupportedException
	 */
	public void sendMessage(BBT tag, byte[] value) throws TagNotSupportedException;
}
