package threshold.elgamal.entities;

import java.math.BigInteger;

/**
 * Represents the part of the decryption performed by a single broker.
 * @author SergioA
 *
 */
public class ElGamalShareDecryption {
	
	/**
	 * Decryption share value
	 */
	private BigInteger shareDecryption;
	
	/**
	 * Initialize share decryption instance
	 * @param shareDecryption
	 */
	public ElGamalShareDecryption(BigInteger shareDecryption) {
		this.shareDecryption = shareDecryption;
	}
	
	/**
	 * Returns the value of the share decryption
	 * @return shareDecryption
	 */
	public BigInteger getShareDecryption()
	{
		return shareDecryption;
	}
}
