package threshold.parties.brokers;

import java.math.BigInteger;

import exceptions.TagNotSupportedException;
import threshold.elgamal.configuration.parameters.ThresholdElGamalPublicParameters;
import threshold.elgamal.configuration.shareholderinfo.ShareholderInfo;

/**
 * Represents an entity in charge of interacting with a party that supports threshold
 * decryption operations.
 * @author SergioA
 *
 */
public interface Broker 
{
	
	/**
	 * Initializes the broker.
	 * @param parameters
	 * @param shareholderInfo
	 */
	public void init(ThresholdElGamalPublicParameters parameters, ShareholderInfo shareholderInfo, ThresholdCryptographyEngine engine) throws TagNotSupportedException;
	
	public void generateShare() throws TagNotSupportedException;
	
	public void generatePublicKey() throws TagNotSupportedException;
	
//	public void shareDecryption(ElGamalCiphertext ciphertext) throws TagNotSupportedException;
	
	public BigInteger getPrivateKeyShadow() throws TagNotSupportedException;
	
}
