package tuplespaces;

/**
 * Extension of LocalTupleSpace intended to enable synchronization between brokers.
 *   A broker requests for [n] signals and the other brokers can generate the signals.
 *   The broker generating the request blocks until the signals are generated.
 *   SOME OF THE SIGNALS CAN BE GENERATED BEFORE THE BROKER REQUESTS THEM.
 * 
 * WARNING: the current behavior enables the brokers to use methods from 
 *   LocalTupleSpace. That is not the purpose of the FlagTupleSpace. 
 * @author SergioA
 *
 */
public class FlagTupleSpace extends LocalTupleSpace {
	public static final String FLAG_COUNT = "FLAG_COUNT"; 
	
	private static FlagTupleSpace instance;
	
	public FlagTupleSpace() 
	{
		super();
		put(FLAG_COUNT, "0");
	}

	public static FlagTupleSpace getInstance() {
		// TODO Auto-generated method stub
		if(instance==null)
			instance = new FlagTupleSpace();
		return instance;
	}
}
